event::Engine_1_0_1::EventDesc Struct Reference

An event descriptor. More...

`import"EventEngine.idl";`

## Public Types

enum | Type { NODE, DYN_NODE, LEAF }
| Event descriptor type. More...

## Public Attributes

Type | eventDescType
| Event descriptor type.
Event::Type | eventType
| Event type.
string | dynNodeContext
| Dynamic node context.
string | idComp
| Event ID component.
string | name
| User-defined name.
vector< EventDesc > | entries
| Child nodes.

## Detailed Description

An event descriptor.

In case eventDescType is LEAF then the descriptor refers to a 'real' event. In this case eventType is set and the entries vector is empty. Otherwise eventType is a don't care and the entries vector contains sub-entries. In case eventDescType is DYN_NODE then the dynNodeContext contains a key which is used to generate a dynamic node.

## Member Enumeration Documentation

## Type

enum event::Engine_1_0_1::EventDesc::Type

Event descriptor type.

Enumerator
NODE | Intermediate node.
DYN_NODE | Dynamic node.
LEAF | Leaf node.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/EventEngine.idl